Jump to content

Welcome to 1Emulation.com
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. This message will be removed once you have signed in.
Login to Account Create an Account
Photo

Fastloader, UMDEmulator or Devhook?

- - - - -

  • Please log in to reply
7 replies to this topic

Poll: Which of the program you like to use to run PSP ISOs?

Which of the program you like to use to run PSP ISOs?

You cannot see the results of the poll until you have voted. Please login and cast your vote to see the results of this poll.
Vote Guests cannot vote

#1
L.S.D

L.S.D

    Anyone want a hallucination?

  • 1Emu Veteran
  • 7,385 posts
  • Gender:Male
  • Location:Welcome to the jungle!
Click to view battle stats
I personally prefer Devhook. Easier to use and no hassle at all :)

#2
Inky

Inky

    I ain't old, just out of date.

  • 1Emu Veteran
  • 6,123 posts
  • Gender:Male
  • Location:The late, great golden state
  • Interests:rockabilly, psychobilly, punk rock, tattoos. I'm married so I don't like girls anymore! :)
Click to view battle stats
I use fastloader.07
I haven't tried the other 2 choices mostly because I haven't had any problems with fastloader yet.

#3
L.S.D

L.S.D

    Anyone want a hallucination?

  • 1Emu Veteran
  • 7,385 posts
  • Gender:Male
  • Location:Welcome to the jungle!
Click to view battle stats
Some of the newer games couldn't work on Fastloader, games like Madden, Death Jr. That's why I switch to Devhook. And you don't need to use Wabchanger to change the version if you try to run UMD games that need higher firmware than 1.5. Devhook can accomodate that :D

Edited by L.S.D, 25 October 2005 - 01:29 AM.


#4
Inky

Inky

    I ain't old, just out of date.

  • 1Emu Veteran
  • 6,123 posts
  • Gender:Male
  • Location:The late, great golden state
  • Interests:rockabilly, psychobilly, punk rock, tattoos. I'm married so I don't like girls anymore! :)
Click to view battle stats
if a gta rip comes out I may try devhook out.

#5
L.S.D

L.S.D

    Anyone want a hallucination?

  • 1Emu Veteran
  • 7,385 posts
  • Gender:Male
  • Location:Welcome to the jungle!
Click to view battle stats

if a gta rip comes out I may try devhook out.

<{POST_SNAPBACK}>

Only for this game I will get original UMD <_<
I don't have a 2GB MS and I don't want to miss out anything from the game :(

#6
Inky

Inky

    I ain't old, just out of date.

  • 1Emu Veteran
  • 6,123 posts
  • Gender:Male
  • Location:The late, great golden state
  • Interests:rockabilly, psychobilly, punk rock, tattoos. I'm married so I don't like girls anymore! :)
Click to view battle stats
I'll only get it if they rip it down to under 500MB and it's confirmed playable on 1.5 if it confirmed playable on 1.5 I might buy it, I dunno.
from the early reports versionchanger doesn't workwith GTA.

#7
AndymaN

AndymaN

    I'm an old nooby Member.

  • Premium Members
  • 217 posts
  • Location:Somewhere Out there.
Click to view battle stats
I used fastloader in the beginning, but now I seem to be using UMD Emulator. Never tried Devhook. Fastloader and UMDloader seem to be made by the same people so eh..

#8
L.S.D

L.S.D

    Anyone want a hallucination?

  • 1Emu Veteran
  • 7,385 posts
  • Gender:Male
  • Location:Welcome to the jungle!
Click to view battle stats

I'll only get it if they rip it down to under 500MB and it's confirmed playable on 1.5 if it confirmed playable on 1.5 I might buy it, I dunno.
from the early reports versionchanger doesn't workwith GTA.

<{POST_SNAPBACK}>

That is why I suggest DevHook. I have Guilty Gear which requires a 1.52 FW. using Devhook will bypass the upgrade requirement. Very handy when you dun want or cannot use the WAB Version Changer <_<




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users